Subject: bug#54487: 29.0.50; connection-local value for `shell-file-name' not set in Dired buffers over Tramp

From: Eli Zaretskii <[email-masked]>
Date: Mon, 21 Mar 2022 17:05:36 +0200

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 21 Mar 2022 16:02:09 +0100
> 
> While I'm at this, I'm thinking whether I shall change computing of grep
> defaults to connection-local variables. This would be more in line with
> handling such local variables in recent Emacsen. WDYT?

Probably.  But I don't have enough experience with remote processes,
so it is probably best to wait for others to chime in.